org.eclipse.graphiti.mm.algorithms.impl

## Class GraphicsAlgorithmImpl

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.BasicNotifierImpl
  - - org.eclipse.emf.ecore.impl.BasicEObjectImpl
    - - org.eclipse.emf.ecore.impl.EObjectImpl
      - - org.eclipse.graphiti.mm.impl.PropertyContainerImpl
        - - org.eclipse.graphiti.mm.impl.GraphicsAlgorithmContainerImpl
          - - org.eclipse.graphiti.mm.algorithms.impl.GraphicsAlgorithmImpl

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject, GraphicsAlgorithm, AbstractStyle, GraphicsAlgorithmContainer, PropertyContainer

Direct Known Subclasses:
  AbstractTextImpl, EllipseImpl, ImageImpl, PlatformGraphicsAlgorithmImpl, PolylineImpl, RectangleImpl, RoundedRectangleImpl

    public abstract class GraphicsAlgorithmImpl
    extends GraphicsAlgorithmContainerImpl
    implements GraphicsAlgorithm

An implementation of the model object 'Graphics Algorithm'.

The following features are implemented:

- `Background`
- `Foreground`
- `Line Width`
- `Line Style`
- `Filled`
- `Line Visible`
- `Rendering Style`
- `Transparency`
- `Graphics Algorithm Children`
- `Parent Graphics Algorithm`
- `Pictogram Element`
- `Width`
- `Height`
- `X`
- `Y`
- `Style`

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList`

### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

`org.eclipse.emf.ecore.InternalEObject.EStore`

### Field Summary

### Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

`ELAST_EOBJECT_FLAG`

### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

`EOPPOSITE_FEATURE_BASE`

### Method Summary

All Methods Instance Methods Concrete Methods
`Color` `basicGetBackground()`
`Color` `basicGetForeground()`
`GraphicsAlgorithm` `basicGetParentGraphicsAlgorithm()`
`PictogramElement` `basicGetPictogramElement()`
`RenderingStyle` `basicGetRenderingStyle()`
`Style` `basicGetStyle()`
`org.eclipse.emf.common.notify.NotificationChain` `basicSetParentGraphicsAlgorithm(GraphicsAlgorithm newParentGraphicsAlgorithm, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` `basicSetPictogramElement(PictogramElement newPictogramElement, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` `basicSetRenderingStyle(RenderingStyle newRenderingStyle, org.eclipse.emf.common.notify.NotificationChain msgs)`
`int` `eBaseStructuralFeatureID(int derivedFeatureID, Class<?> baseClass)`
`org.eclipse.emf.common.notify.NotificationChain` `eBasicRemoveFromContainerFeature(org.eclipse.emf.common.notify.NotificationChain msgs)`
`int` `eDerivedStructuralFeatureID(int baseFeatureID, Class<?> baseClass)`
`Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`org.eclipse.emf.common.notify.NotificationChain` `eInverseAdd(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` `eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, Object newValue)`
`void` `eUnset(int featureID)`
`Color` `getBackground()`
`Boolean` `getFilled()`
`Color` `getForeground()`
`org.eclipse.emf.common.util.EList<GraphicsAlgorithm>` `getGraphicsAlgorithmChildren()`
`int` `getHeight()`
`LineStyle` `getLineStyle()`
`Boolean` `getLineVisible()`
`Integer` `getLineWidth()`
`GraphicsAlgorithm` `getParentGraphicsAlgorithm()`
`PictogramElement` `getPictogramElement()`
`RenderingStyle` `getRenderingStyle()`
`Style` `getStyle()`
`Double` `getTransparency()`
`int` `getWidth()`
`int` `getX()`
`int` `getY()`
`boolean` `isSetFilled()`
`boolean` `isSetLineVisible()`
`void` `setBackground(Color newBackground)`
`void` `setFilled(Boolean newFilled)`
`void` `setForeground(Color newForeground)`
`void` `setHeight(int newHeight)`
`void` `setLineStyle(LineStyle newLineStyle)`
`void` `setLineVisible(Boolean newLineVisible)`
`void` `setLineWidth(Integer newLineWidth)`
`void` `setParentGraphicsAlgorithm(GraphicsAlgorithm newParentGraphicsAlgorithm)`
`void` `setPictogramElement(PictogramElement newPictogramElement)`
`void` `setRenderingStyle(RenderingStyle newRenderingStyle)`
`void` `setStyle(Style newStyle)`
`void` `setTransparency(Double newTransparency)`
`void` `setWidth(int newWidth)`
`void` `setX(int newX)`
`void` `setY(int newY)`
`String` `toString()`
`void` `unsetFilled()`
`void` `unsetLineVisible()`

### Methods inherited from class org.eclipse.graphiti.mm.impl.PropertyContainerImpl

`getProperties`

### Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

`eAdapters, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eInvoke, eIsProxy, eSetClass, eSetDeliver, eSetProxyURI`

### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAllContents, eBasicRemoveFromContainer, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eURIFragmentSegment, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`eNotificationRequired, eNotify`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.graphiti.mm.PropertyContainer

`getProperties`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

`eNotificationRequired`

### Method Detail

#### getBackground

    public Color getBackground()

Specified by:
  `getBackground` in interface `AbstractStyle`
Returns:
  the value of the 'Background' reference.
See Also:
  `AbstractStyle.setBackground(Color)`, `StylesPackage.getAbstractStyle_Background()`

#### basicGetBackground

    public Color basicGetBackground()

#### setBackground

    public void setBackground(Color newBackground)

Specified by:
  `setBackground` in interface `AbstractStyle`
Parameters:
  `newBackground` - the new value of the 'Background' reference.
See Also:
  `AbstractStyle.getBackground()`

#### getForeground

    public Color getForeground()

Specified by:
  `getForeground` in interface `AbstractStyle`
Returns:
  the value of the 'Foreground' reference.
See Also:
  `AbstractStyle.setForeground(Color)`, `StylesPackage.getAbstractStyle_Foreground()`

#### basicGetForeground

    public Color basicGetForeground()

#### setForeground

    public void setForeground(Color newForeground)

Specified by:
  `setForeground` in interface `AbstractStyle`
Parameters:
  `newForeground` - the new value of the 'Foreground' reference.
See Also:
  `AbstractStyle.getForeground()`

#### getLineWidth

    public Integer getLineWidth()

Specified by:
  `getLineWidth` in interface `AbstractStyle`
Returns:
  the value of the 'Line Width' attribute.
See Also:
  `AbstractStyle.setLineWidth(Integer)`, `StylesPackage.getAbstractStyle_LineWidth()`

#### setLineWidth

    public void setLineWidth(Integer newLineWidth)

Specified by:
  `setLineWidth` in interface `AbstractStyle`
Parameters:
  `newLineWidth` - the new value of the 'Line Width' attribute.
See Also:
  `AbstractStyle.getLineWidth()`

#### getLineStyle

    public LineStyle getLineStyle()

Specified by:
  `getLineStyle` in interface `AbstractStyle`
Returns:
  the value of the 'Line Style' attribute.
See Also:
  `LineStyle`, `AbstractStyle.setLineStyle(LineStyle)`, `StylesPackage.getAbstractStyle_LineStyle()`

#### setLineStyle

    public void setLineStyle(LineStyle newLineStyle)

Specified by:
  `setLineStyle` in interface `AbstractStyle`
Parameters:
  `newLineStyle` - the new value of the 'Line Style' attribute.
See Also:
  `LineStyle`, `AbstractStyle.getLineStyle()`

#### getFilled

    public Boolean getFilled()

Specified by:
  `getFilled` in interface `AbstractStyle`
Returns:
  the value of the 'Filled' attribute.
See Also:
  `AbstractStyle.isSetFilled()`, `AbstractStyle.unsetFilled()`, `AbstractStyle.setFilled(Boolean)`, `StylesPackage.getAbstractStyle_Filled()`

#### setFilled

    public void setFilled(Boolean newFilled)

Specified by:
  `setFilled` in interface `AbstractStyle`
Parameters:
  `newFilled` - the new value of the 'Filled' attribute.
See Also:
  `AbstractStyle.isSetFilled()`, `AbstractStyle.unsetFilled()`, `AbstractStyle.getFilled()`

#### unsetFilled

    public void unsetFilled()

Specified by:
  `unsetFilled` in interface `AbstractStyle`
See Also:
  `AbstractStyle.isSetFilled()`, `AbstractStyle.getFilled()`, `AbstractStyle.setFilled(Boolean)`

#### isSetFilled

    public boolean isSetFilled()

Specified by:
  `isSetFilled` in interface `AbstractStyle`
Returns:
  whether the value of the 'Filled' attribute is set.
See Also:
  `AbstractStyle.unsetFilled()`, `AbstractStyle.getFilled()`, `AbstractStyle.setFilled(Boolean)`

#### getLineVisible

    public Boolean getLineVisible()

Specified by:
  `getLineVisible` in interface `AbstractStyle`
Returns:
  the value of the 'Line Visible' attribute.
See Also:
  `AbstractStyle.isSetLineVisible()`, `AbstractStyle.unsetLineVisible()`, `AbstractStyle.setLineVisible(Boolean)`, `StylesPackage.getAbstractStyle_LineVisible()`

#### setLineVisible

    public void setLineVisible(Boolean newLineVisible)

Specified by:
  `setLineVisible` in interface `AbstractStyle`
Parameters:
  `newLineVisible` - the new value of the 'Line Visible' attribute.
See Also:
  `AbstractStyle.isSetLineVisible()`, `AbstractStyle.unsetLineVisible()`, `AbstractStyle.getLineVisible()`

#### unsetLineVisible

    public void unsetLineVisible()

Specified by:
  `unsetLineVisible` in interface `AbstractStyle`
See Also:
  `AbstractStyle.isSetLineVisible()`, `AbstractStyle.getLineVisible()`, `AbstractStyle.setLineVisible(Boolean)`

#### isSetLineVisible

    public boolean isSetLineVisible()

Specified by:
  `isSetLineVisible` in interface `AbstractStyle`
Returns:
  whether the value of the 'Line Visible' attribute is set.
See Also:
  `AbstractStyle.unsetLineVisible()`, `AbstractStyle.getLineVisible()`, `AbstractStyle.setLineVisible(Boolean)`

#### getRenderingStyle

    public RenderingStyle getRenderingStyle()

Specified by:
  `getRenderingStyle` in interface `AbstractStyle`
Returns:
  the value of the 'Rendering Style' containment reference.
See Also:
  `AbstractStyle.setRenderingStyle(RenderingStyle)`, `StylesPackage.getAbstractStyle_RenderingStyle()`

#### basicGetRenderingStyle

    public RenderingStyle basicGetRenderingStyle()

#### basicSetRenderingStyle

    public org.eclipse.emf.common.notify.NotificationChain basicSetRenderingStyle(RenderingStyle newRenderingStyle,
                                                                                  org.eclipse.emf.common.notify.NotificationChain msgs)

#### setRenderingStyle

    public void setRenderingStyle(RenderingStyle newRenderingStyle)

Specified by:
  `setRenderingStyle` in interface `AbstractStyle`
Parameters:
  `newRenderingStyle` - the new value of the 'Rendering Style' containment reference.
See Also:
  `AbstractStyle.getRenderingStyle()`

#### getTransparency

    public Double getTransparency()

Specified by:
  `getTransparency` in interface `AbstractStyle`
Returns:
  the value of the 'Transparency' attribute.
See Also:
  `AbstractStyle.setTransparency(Double)`, `StylesPackage.getAbstractStyle_Transparency()`

#### setTransparency

    public void setTransparency(Double newTransparency)

Specified by:
  `setTransparency` in interface `AbstractStyle`
Parameters:
  `newTransparency` - the new value of the 'Transparency' attribute.
See Also:
  `AbstractStyle.getTransparency()`

#### getGraphicsAlgorithmChildren

    public org.eclipse.emf.common.util.EList<GraphicsAlgorithm> getGraphicsAlgorithmChildren()

Specified by:
  `getGraphicsAlgorithmChildren` in interface `GraphicsAlgorithm`
Returns:
  the value of the 'Graphics Algorithm Children' containment reference list.
See Also:
  `AlgorithmsPackage.getGraphicsAlgorithm_GraphicsAlgorithmChildren()`, `GraphicsAlgorithm.getParentGraphicsAlgorithm()`

#### getParentGraphicsAlgorithm

    public GraphicsAlgorithm getParentGraphicsAlgorithm()

Specified by:
  `getParentGraphicsAlgorithm` in interface `GraphicsAlgorithm`
Returns:
  the value of the 'Parent Graphics Algorithm' container reference.
See Also:
  `GraphicsAlgorithm.setParentGraphicsAlgorithm(GraphicsAlgorithm)`, `AlgorithmsPackage.getGraphicsAlgorithm_ParentGraphicsAlgorithm()`, `GraphicsAlgorithm.getGraphicsAlgorithmChildren()`

#### basicGetParentGraphicsAlgorithm

    public GraphicsAlgorithm basicGetParentGraphicsAlgorithm()

#### basicSetParentGraphicsAlgorithm

    public org.eclipse.emf.common.notify.NotificationChain basicSetParentGraphicsAlgorithm(GraphicsAlgorithm newParentGraphicsAlgorithm,
                                                                                           org.eclipse.emf.common.notify.NotificationChain msgs)

#### setParentGraphicsAlgorithm

    public void setParentGraphicsAlgorithm(GraphicsAlgorithm newParentGraphicsAlgorithm)

Specified by:
  `setParentGraphicsAlgorithm` in interface `GraphicsAlgorithm`
Parameters:
  `newParentGraphicsAlgorithm` - the new value of the 'Parent Graphics Algorithm' container reference.
See Also:
  `GraphicsAlgorithm.getParentGraphicsAlgorithm()`

#### getPictogramElement

    public PictogramElement getPictogramElement()

Specified by:
  `getPictogramElement` in interface `GraphicsAlgorithm`
Returns:
  the value of the 'Pictogram Element' container reference.
See Also:
  `GraphicsAlgorithm.setPictogramElement(PictogramElement)`, `AlgorithmsPackage.getGraphicsAlgorithm_PictogramElement()`, `PictogramElement.getGraphicsAlgorithm()`

#### basicGetPictogramElement

    public PictogramElement basicGetPictogramElement()

#### basicSetPictogramElement

    public org.eclipse.emf.common.notify.NotificationChain basicSetPictogramElement(PictogramElement newPictogramElement,
                                                                                    org.eclipse.emf.common.notify.NotificationChain msgs)

#### setPictogramElement

    public void setPictogramElement(PictogramElement newPictogramElement)

Specified by:
  `setPictogramElement` in interface `GraphicsAlgorithm`
Parameters:
  `newPictogramElement` - the new value of the 'Pictogram Element' container reference.
See Also:
  `GraphicsAlgorithm.getPictogramElement()`

#### getWidth

    public int getWidth()

Specified by:
  `getWidth` in interface `GraphicsAlgorithm`
Returns:
  the value of the 'Width' attribute.
See Also:
  `GraphicsAlgorithm.setWidth(int)`, `AlgorithmsPackage.getGraphicsAlgorithm_Width()`

#### setWidth

    public void setWidth(int newWidth)

Specified by:
  `setWidth` in interface `GraphicsAlgorithm`
Parameters:
  `newWidth` - the new value of the 'Width' attribute.
See Also:
  `GraphicsAlgorithm.getWidth()`

#### getHeight

    public int getHeight()

Specified by:
  `getHeight` in interface `GraphicsAlgorithm`
Returns:
  the value of the 'Height' attribute.
See Also:
  `GraphicsAlgorithm.setHeight(int)`, `AlgorithmsPackage.getGraphicsAlgorithm_Height()`

#### setHeight

    public void setHeight(int newHeight)

Specified by:
  `setHeight` in interface `GraphicsAlgorithm`
Parameters:
  `newHeight` - the new value of the 'Height' attribute.
See Also:
  `GraphicsAlgorithm.getHeight()`

#### getX

    public int getX()

Specified by:
  `getX` in interface `GraphicsAlgorithm`
Returns:
  the value of the 'X' attribute.
See Also:
  `GraphicsAlgorithm.setX(int)`, `AlgorithmsPackage.getGraphicsAlgorithm_X()`

#### setX

    public void setX(int newX)

Specified by:
  `setX` in interface `GraphicsAlgorithm`
Parameters:
  `newX` - the new value of the 'X' attribute.
See Also:
  `GraphicsAlgorithm.getX()`

#### getY

    public int getY()

Specified by:
  `getY` in interface `GraphicsAlgorithm`
Returns:
  the value of the 'Y' attribute.
See Also:
  `GraphicsAlgorithm.setY(int)`, `AlgorithmsPackage.getGraphicsAlgorithm_Y()`

#### setY

    public void setY(int newY)

Specified by:
  `setY` in interface `GraphicsAlgorithm`
Parameters:
  `newY` - the new value of the 'Y' attribute.
See Also:
  `GraphicsAlgorithm.getY()`

#### getStyle

    public Style getStyle()

Specified by:
  `getStyle` in interface `GraphicsAlgorithm`
Returns:
  the value of the 'Style' reference.
See Also:
  `GraphicsAlgorithm.setStyle(Style)`, `AlgorithmsPackage.getGraphicsAlgorithm_Style()`

#### basicGetStyle

    public Style basicGetStyle()

#### setStyle

    public void setStyle(Style newStyle)

Specified by:
  `setStyle` in interface `GraphicsAlgorithm`
Parameters:
  `newStyle` - the new value of the 'Style' reference.
See Also:
  `GraphicsAlgorithm.getStyle()`

#### eInverseAdd

    public org.eclipse.emf.common.notify.NotificationChain eInverseAdd(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                       int featureID,
                                                                       org.eclipse.emf.common.notify.NotificationChain msgs)

Overrides:
  `eInverseAdd` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

#### eInverseRemove

    public org.eclipse.emf.common.notify.NotificationChain eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                          int featureID,
                                                                          org.eclipse.emf.common.notify.NotificationChain msgs)

Overrides:
  `eInverseRemove` in class `PropertyContainerImpl`

#### eBasicRemoveFromContainerFeature

    public org.eclipse.emf.common.notify.NotificationChain eBasicRemoveFromContainerFeature(org.eclipse.emf.common.notify.NotificationChain msgs)

Overrides:
  `eBasicRemoveFromContainerFeature` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

#### eGet

    public Object eGet(int featureID,
                       boolean resolve,
                       boolean coreType)

Specified by:
  `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eGet` in class `PropertyContainerImpl`

#### eSet

    public void eSet(int featureID,
                     Object newValue)

Specified by:
  `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eSet` in class `PropertyContainerImpl`

#### eUnset

    public void eUnset(int featureID)

Specified by:
  `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eUnset` in class `PropertyContainerImpl`

#### eIsSet

    public boolean eIsSet(int featureID)

Specified by:
  `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eIsSet` in class `PropertyContainerImpl`

#### eBaseStructuralFeatureID

    public int eBaseStructuralFeatureID(int derivedFeatureID,
                                        Class<?> baseClass)

Specified by:
  `eBaseStructuralFeatureID` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eBaseStructuralFeatureID` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

#### eDerivedStructuralFeatureID

    public int eDerivedStructuralFeatureID(int baseFeatureID,
                                           Class<?> baseClass)

Specified by:
  `eDerivedStructuralFeatureID` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eDerivedStructuralFeatureID` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

#### toString

    public String toString()

Overrides:
  `toString` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`